BEGIN ~WSMITH01~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
  IF ~~ THEN REPLY @3 GOTO 3
  IF ~~ THEN REPLY @4 GOTO 4
END

IF ~~ THEN BEGIN 1
  SAY @5
  IF ~CheckStatGT(LastTalkedToBy,12,CHR)~ THEN REPLY @6 GOTO 5
  IF ~CheckStatLT(LastTalkedToBy,13,CHR)~ THEN REPLY @7 GOTO 6
  IF ~~ THEN REPLY @8 GOTO 7
  IF ~~ THEN REPLY @9 GOTO 2
END

IF ~~ THEN BEGIN 2
  SAY @10
  IF ~~ THEN REPLY @11 GOTO 8
  IF ~~ THEN REPLY @12 GOTO 8
  IF ~~ THEN REPLY @13 GOTO 4
END

IF ~~ THEN BEGIN 3
  SAY @14
  IF ~~ THEN REPLY @6 GOTO 5
  IF ~~ THEN REPLY @7 GOTO 6
  IF ~~ THEN REPLY @8 GOTO 7
  IF ~~ THEN REPLY @9 GOTO 2
END

IF ~~ THEN BEGIN 4
  SAY @15
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5
  SAY @16
  IF ~~ THEN REPLY @17 GOTO 2
  IF ~~ THEN REPLY @18 GOTO 8
  IF ~~ THEN REPLY @19 GOTO 4
END

IF ~~ THEN BEGIN 6
  SAY @20
  IF ~~ THEN REPLY @17 GOTO 2
  IF ~~ THEN REPLY @18 GOTO 8
  IF ~~ THEN REPLY @21 GOTO 10
  IF ~~ THEN REPLY @19 GOTO 4
END

IF ~~ THEN BEGIN 7
  SAY @22
  IF ~~ THEN REPLY @17 GOTO 2
  IF ~~ THEN REPLY @18 GOTO 8
  IF ~~ THEN REPLY @21 GOTO 10
  IF ~~ THEN REPLY @19 GOTO 4
END

IF ~~ THEN BEGIN 8
  SAY @23
  IF ~~ THEN DO ~SetGlobal("TalkedToCromwell","LOCALS",1)~ GOTO 9
END

IF ~~ THEN BEGIN 9
  SAY @24
  IF ~~ THEN REPLY @25 GOTO 13
  IF ~~ THEN REPLY @26 GOTO 11
  IF ~~ THEN REPLY @27 GOTO 4
END

IF ~~ THEN BEGIN 10
  SAY @28
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11
  SAY @29
  IF ~~ THEN REPLY @30 GOTO 13
  IF ~~ THEN REPLY @31 GOTO 12
END

IF ~~ THEN BEGIN 12
  SAY @32
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13
  SAY @33
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
!PartyHasItem("misc12")
!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
!PartyHasItem("misc5k")~ THEN GOTO 14
  IF ~OR(3)
PartyHasItem("scaleb")
PartyHasItem("scaler")
PartyHasItem("misc12")~ THEN GOTO 15
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
!PartyHasItem("misc12")
OR(2)
PartyHasItem("scrlag")
PartyHasItem("hamm07")~ THEN GOTO 20
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
!PartyHasItem("misc12")
!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
OR(3)
PartyHasItem("sw1h54a")
PartyHasItem("sw1h54b")
PartyHasItem("sw1h54c")~ THEN GOTO 28
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
!PartyHasItem("misc12")
!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
OR(2)
PartyHasItem("bow19a")
PartyHasItem("bow19b")~ THEN GOTO 34
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
!PartyHasItem("misc12")
!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
OR(2)
PartyHasItem("halb09a")
PartyHasItem("halb09b")~ THEN GOTO 39
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
!PartyHasItem("misc12")
!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
OR(2)
PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 44
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
!PartyHasItem("misc12")
!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
PartyHasItem("misc5k")~ THEN GOTO 49
END

IF ~~ THEN BEGIN 14
  SAY @34
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 15
  SAY @35
  IF ~PartyHasItem("scaleb")~ THEN GOTO 16
  IF ~!PartyHasItem("scaleb")
PartyHasItem("scaler")~ THEN GOTO 17
  IF ~!PartyHasItem("scaleb")
!PartyHasItem("scaler")
PartyHasItem("misc12")~ THEN GOTO 18
END

IF ~~ THEN BEGIN 16
  SAY @36
  IF ~~ THEN REPLY @37 DO ~SetGlobal("ForgeItem","GLOBAL",1)~ GOTO 53
  IF ~PartyHasItem("scaler")~ THEN REPLY @38 GOTO 17
  IF ~!PartyHasItem("scaler")
PartyHasItem("misc12")~ THEN REPLY @38 GOTO 18
  IF ~!PartyHasItem("scaler")
!PartyHasItem("misc12")~ THEN REPLY @38 GOTO 19
END

IF ~~ THEN BEGIN 17
  SAY @39
  IF ~~ THEN REPLY @40 DO ~SetGlobal("ForgeItem","GLOBAL",2)~ GOTO 53
  IF ~PartyHasItem("misc12")~ THEN REPLY @38 GOTO 18
  IF ~!PartyHasItem("misc12")~ THEN REPLY @38 GOTO 19
END

IF ~~ THEN BEGIN 18
  SAY @41
  IF ~~ THEN REPLY @40 DO ~SetGlobal("ForgeItem","GLOBAL",3)~ GOTO 53
  IF ~~ THEN REPLY @42 GOTO 19
END

IF ~~ THEN BEGIN 19
  SAY @43
  IF ~OR(2)
PartyHasItem("scrlag")
PartyHasItem("hamm07")~ THEN GOTO 20
  IF ~!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
OR(3)
PartyHasItem("sw1h54a")
PartyHasItem("sw1h54b")
PartyHasItem("sw1h54c")~ THEN GOTO 28
  IF ~!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
OR(2)
PartyHasItem("bow19a")
PartyHasItem("bow19b")~ THEN GOTO 34
  IF ~!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
OR(2)
PartyHasItem("halb09a")
PartyHasItem("halb09b")~ THEN GOTO 39
  IF ~!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
OR(2)
PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 44
  IF ~!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
PartyHasItem("misc5k")~ THEN GOTO 49
  IF ~!PartyHasItem("scrlag")
!PartyHasItem("hamm07")
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
!PartyHasItem("misc5k")~ THEN GOTO 52
END

IF ~~ THEN BEGIN 20
  SAY @44
  IF ~PartyHasItem("scrlag")
!PartyHasItem("hamm07")~ THEN GOTO 21
  IF ~!PartyHasItem("scrlag")
PartyHasItem("hamm07")~ THEN GOTO 24
  IF ~PartyHasItem("scrlag")
PartyHasItem("hamm07")
OR(2)
!PartyHasItem("brac06")
!PartyHasItem("belt08")~ THEN GOTO 25
  IF ~PartyHasItem("scrlag")
PartyHasItem("hamm07")
PartyHasItem("brac06")
PartyHasItem("belt08")~ THEN GOTO 26
END

IF ~~ THEN BEGIN 21
  SAY @45
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22
  SAY @46
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23
  SAY @47
  IF ~OR(3)
PartyHasItem("sw1h54a")
PartyHasItem("sw1h54b")
PartyHasItem("sw1h54c")~ THEN GOTO 28
  IF ~!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
OR(2)
PartyHasItem("bow19a")
PartyHasItem("bow19b")~ THEN GOTO 34
  IF ~!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
OR(2)
PartyHasItem("halb09a")
PartyHasItem("halb09b")~ THEN GOTO 39
  IF ~!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
OR(2)
PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 44
  IF ~!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
PartyHasItem("misc5k")~ THEN GOTO 49
  IF ~!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")
!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
!PartyHasItem("misc5k")~ THEN GOTO 52
END

IF ~~ THEN BEGIN 24
  SAY @48
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 25
  SAY @49
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 26
  SAY @50
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 27
  SAY @51
  IF ~~ THEN REPLY @37 DO ~SetGlobal("ForgeItem","GLOBAL",4)~ GOTO 55
  IF ~~ THEN REPLY @52 GOTO 23
END

IF ~~ THEN BEGIN 28
  SAY @53
  IF ~PartyHasItem("sw1h54a")
OR(2)
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54c")~ THEN GOTO 29
  IF ~PartyHasItem("sw1h54b")
OR(2)
!PartyHasItem("sw1h54a")
!PartyHasItem("sw1h54c")~ THEN GOTO 30
  IF ~PartyHasItem("sw1h54c")
OR(2)
!PartyHasItem("sw1h54b")
!PartyHasItem("sw1h54a")~ THEN GOTO 31
  IF ~PartyHasItem("sw1h54a")
PartyHasItem("sw1h54b")
PartyHasItem("sw1h54c")~ THEN GOTO 32
END

IF ~~ THEN BEGIN 29
  SAY @54
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 30
  SAY @55
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 31
  SAY @56
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 32
  SAY @57
  IF ~~ THEN REPLY @58 DO ~SetGlobal("ForgeItem","GLOBAL",5)~ GOTO 54
  IF ~~ THEN REPLY @59 GOTO 33
END

IF ~~ THEN BEGIN 33
  SAY @60
  IF ~OR(2)
PartyHasItem("bow19a")
PartyHasItem("bow19b")~ THEN GOTO 34
  IF ~!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
OR(2)
PartyHasItem("halb09a")
PartyHasItem("halb09b")~ THEN GOTO 39
  IF ~!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
OR(2)
PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 44
  IF ~!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
PartyHasItem("misc5k")~ THEN GOTO 49
  IF ~!PartyHasItem("bow19a")
!PartyHasItem("bow19b")
!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
!PartyHasItem("misc5k")~ THEN GOTO 52
END

IF ~~ THEN BEGIN 34
  SAY @61
  IF ~PartyHasItem("bow19a")
!PartyHasItem("bow19b")~ THEN GOTO 35
  IF ~!PartyHasItem("bow19a")
PartyHasItem("bow19b")~ THEN GOTO 36
  IF ~PartyHasItem("bow19a")
PartyHasItem("bow19b")~ THEN GOTO 37
END

IF ~~ THEN BEGIN 35
  SAY @62
  IF ~~ THEN GOTO 38
END

IF ~~ THEN BEGIN 36
  SAY @63
  IF ~~ THEN GOTO 38
END

IF ~~ THEN BEGIN 37
  SAY @64
  IF ~~ THEN REPLY @40 DO ~SetGlobal("ForgeItem","GLOBAL",6)~ GOTO 54
  IF ~~ THEN REPLY @65 GOTO 38
END

IF ~~ THEN BEGIN 38
  SAY @66
  IF ~OR(2)
PartyHasItem("halb09a")
PartyHasItem("halb09b")~ THEN GOTO 39
  IF ~!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
OR(2)
PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 44
  IF ~!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
PartyHasItem("misc5k")~ THEN GOTO 49
  IF ~!PartyHasItem("halb09a")
!PartyHasItem("halb09b")
!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
!PartyHasItem("misc5k")~ THEN GOTO 52
END

IF ~~ THEN BEGIN 39
  SAY @67
  IF ~PartyHasItem("halb09a")
!PartyHasItem("halb09b")~ THEN GOTO 40
  IF ~!PartyHasItem("halb09a")
PartyHasItem("halb09b")~ THEN GOTO 41
  IF ~PartyHasItem("halb09a")
PartyHasItem("halb09b")~ THEN GOTO 42
END

IF ~~ THEN BEGIN 40
  SAY @68
  IF ~~ THEN GOTO 43
END

IF ~~ THEN BEGIN 41
  SAY @69
  IF ~~ THEN GOTO 43
END

IF ~~ THEN BEGIN 42
  SAY @70
  IF ~~ THEN REPLY @58 DO ~SetGlobal("ForgeItem","GLOBAL",7)~ GOTO 54
  IF ~~ THEN REPLY @71 GOTO 43
END

IF ~~ THEN BEGIN 43
  SAY @72
  IF ~OR(2)
PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 44
  IF ~!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
PartyHasItem("misc5k")~ THEN GOTO 49
  IF ~!PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")
!PartyHasItem("misc5k")~ THEN GOTO 52
END

IF ~~ THEN BEGIN 44
  SAY @73
  IF ~PartyHasItem("misc8u")
!PartyHasItem("sw2h15a")~ THEN GOTO 45
  IF ~!PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 46
  IF ~PartyHasItem("misc8u")
PartyHasItem("sw2h15a")~ THEN GOTO 47
END

IF ~~ THEN BEGIN 45
  SAY @74
  IF ~~ THEN GOTO 48
END

IF ~~ THEN BEGIN 46
  SAY @75
  IF ~~ THEN GOTO 48
END

IF ~~ THEN BEGIN 47
  SAY @76
  IF ~~ THEN REPLY @77 DO ~SetGlobal("ForgeItem","GLOBAL",8)~ GOTO 54
  IF ~~ THEN REPLY @78 GOTO 48
END

IF ~~ THEN BEGIN 48
  SAY @79
  IF ~PartyHasItem("misc5k")~ THEN GOTO 49
  IF ~!PartyHasItem("misc5k")~ THEN GOTO 52
END

IF ~~ THEN BEGIN 49
  SAY @80
  IF ~!PartyHasItem("blun12")~ THEN GOTO 50
  IF ~PartyHasItem("blun12")~ THEN GOTO 51
END

IF ~~ THEN BEGIN 50
  SAY @81
  IF ~~ THEN GOTO 52
END

IF ~~ THEN BEGIN 51
  SAY @82
  IF ~~ THEN REPLY @40 DO ~SetGlobal("ForgeItem","GLOBAL",9)~ GOTO 54
  IF ~~ THEN REPLY @83 GOTO 52
END

IF ~~ THEN BEGIN 52
  SAY @84
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 53
  SAY @85
  IF ~PartyGoldGT(4999)~ THEN REPLY @86 DO ~TakePartyGold(5000)
DestroyGold(5000)~ GOTO 56
  IF ~Global("ForgeItem","GLOBAL",1)
PartyHasItem("scaler")~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 17
  IF ~Global("ForgeItem","GLOBAL",1)
!PartyHasItem("scaler")
PartyHasItem("misc12")~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 18
  IF ~Global("ForgeItem","GLOBAL",2)
PartyHasItem("misc12")~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 18
  IF ~Global("ForgeItem","GLOBAL",3)~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 19
  IF ~Global("ForgeItem","GLOBAL",1)
!PartyHasItem("scaler")
!PartyHasItem("misc12")~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 19
  IF ~Global("ForgeItem","GLOBAL",2)
!PartyHasItem("misc12")~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 19
  IF ~~ THEN REPLY @88 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 12
END

IF ~~ THEN BEGIN 54
  SAY @89
  IF ~PartyGoldGT(7499)~ THEN REPLY @86 DO ~TakePartyGold(7500)
DestroyGold(7500)~ GOTO 56
  IF ~Global("ForgeItem","GLOBAL",5)~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 33
  IF ~Global("ForgeItem","GLOBAL",6)~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 38
  IF ~Global("ForgeItem","GLOBAL",7)~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 43
  IF ~Global("ForgeItem","GLOBAL",8)~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 48
  IF ~Global("ForgeItem","GLOBAL",9)~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 52
  IF ~~ THEN REPLY @88 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 12
END

IF ~~ THEN BEGIN 55
  SAY @90
  IF ~PartyGoldGT(9999)~ THEN REPLY @86 DO ~TakePartyGold(10000)
DestroyGold(10000)~ GOTO 56
  IF ~Global("ForgeItem","GLOBAL",4)~ THEN REPLY @87 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 23
  IF ~~ THEN REPLY @88 DO ~SetGlobal("ForgeItem","GLOBAL",0)~ GOTO 12
END

IF ~~ THEN BEGIN 56
  SAY @91
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cromwell")~ EXIT
END

IF ~GlobalGT("ForgeItem","GLOBAL",0)~ THEN BEGIN 57
  SAY @92
  IF ~~ THEN DO ~SetGlobal("ForgeItem","GLOBAL",0)~ EXIT
END

IF ~Global("ForgeItem","GLOBAL",0)~ THEN BEGIN 58
  SAY @93
  IF ~Global("TalkedToCromwell","LOCALS",0)~ THEN REPLY @94 GOTO 8
  IF ~Global("TalkedToCromwell","LOCALS",0)~ THEN REPLY @2 GOTO 2
  IF ~Global("TalkedToCromwell","LOCALS",1)~ THEN REPLY @26 GOTO 11
  IF ~Global("TalkedToCromwell","LOCALS",1)~ THEN REPLY @25 GOTO 13
  IF ~~ THEN REPLY @95 GOTO 12
END
